# Interface WebCamConfig

WebCam configuration

interface WebCamConfig {
crop : boolean;
debug : boolean;
element : undefined | string | HTMLVideoElement;
height : number;
id ?: string;
mode : "front" | "back";
width : number;
}

- Defined in src/util/webcam.ts:6

##### Index

### Properties

crop
debug
element
height
id?
mode
width

## Properties

### crop

crop: boolean

camera crop mode

- Defined in src/util/webcam.ts:19

### debug

debug: boolean

print messages on console

- Defined in src/util/webcam.ts:15

### element

element: undefined | string | HTMLVideoElement

element can be:

- string which indicates dom element id
- actual HTMLVideo dom element
- undefined in which case a new HTMLVideoElement will be created

- Defined in src/util/webcam.ts:13

### height

height: number

desired webcam height

- Defined in src/util/webcam.ts:23

### `Optional` id

id?: string

deviceId of the video device to use

- Defined in src/util/webcam.ts:25

### mode

mode: "front" | "back"

use front or back camera

- Defined in src/util/webcam.ts:17

### width

width: number

desired webcam width

- Defined in src/util/webcam.ts:21